      module Vchpcsd
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam, only: nraym, nplus
      integer   irec
      integer   ndim, jhlf, ind, mcnt, klim, irecmx
      real(kind=dp)   dy6o, hlast, serror, psilast, h
      real(kind=dp), dimension(6) :: prmt
      real(kind=dp), dimension(10) :: y, dy, yin, dyin
      real(kind=dp), dimension(nraym) :: rec0, rec1, rec2, rec3,
     1    rec4, rec5
      real(kind=dp), dimension(nplus) :: rec6
      real(kind=dp), dimension(nraym) :: rec7, rec8, rec9, rec10,
     1    rec11, rec12,
     1   rec13, rec14, rec15
      end module Vchpcsd
